### org.jfree.layouting.layouter.style.functions

# Class FunctionEvaluationException

- `StackableException`
- - `org.jfree.layouting.layouter.style.functions.FunctionEvaluationException`

`public class FunctionEvaluationException`
`extends StackableException`

Creation-Date: 16.04.2006, 15:54:16

Author:
  Thomas Morgner

  ## Constructor Summary

  `FunctionEvaluationException()`
    Creates a StackableRuntimeException with no message and no parent.

  `FunctionEvaluationException(String message)`
    Creates an exception.

  `FunctionEvaluationException(String message, Exception ex)`
    Creates an exception.

## Constructor Details

### FunctionEvaluationException

    public FunctionEvaluationException()

> Creates a StackableRuntimeException with no message and no parent.

### FunctionEvaluationException

    public FunctionEvaluationException(String message)

> Creates an exception.
> Parameters:
>   `message` - the exception message.

### FunctionEvaluationException

    public FunctionEvaluationException(String message,
                                       Exception ex)

> Creates an exception.
> Parameters:
>   `message` - the exception message.
>   `ex` - the parent exception.